Added
- New webhook events:
contact_center.engagement_consumer_sent_messagecontact_center.engagement_customer_sent_filecontact_center.engagement_user_sent_messagecontact_center.engagement_user_sent_file
- New Routing Profiles APIs:
POST /v2/contact_center/agent_routing_profilesDELETE /v2/contact_center/consumer_routing_profiles/{consumerRoutingProfileId}PATCH /v2/contact_center/agent_routing_profiles/{agentRoutingProfileId}DELETE /v2/contact_center/agent_routing_profiles/{agentRoutingProfileId}GET /v2/contact_center/agent_routing_profiles
Changed
- New
transferred_initiatedandtransferred_completedresponse fields in this Reports API.GET /v2/contact_center/analytics/agents/leg_metrics
- New
voicemail_auto_assignment,greeting_audio_asset_idandvoicemail_send_reminders_for_unresolvedresponse fields in this Inboxes API:GET /v2/contact_center/inboxes/{inboxId}
- New
intent_group_name,intent_group_required,category_typeandintent_group_idresponse fields in this Routing Profiles API:GET /v2/contact_center/agent_routing_profiles/{agentRoutingProfileId}
- New
voicemail_auto_assignment,voicemail_send_reminders_for_unresolvedandgreeting_audio_asset_idrequest fields in this Inboxes API:PATCH /v2/contact_center/inboxes/{inboxId}
